      subroutine mixwrite(i,j,ncls,plord,id,sgn,cplg)
c----------------------------------------------------------------------c
c Does necessary writing for the mixing case
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c
c 7 April, 2012; Modified on 
c 5 March, 2015:
c Weight and complex phase factors (s-dependent) implemented
c----------------------------------------------------------------------c

      use mytypes
      use extpart
      use intpart

      implicit none

      integer :: i,j,ncls,id,plord(next),sgn,ii,jj,
     &           plij,plii,plio,plig,plif,plict,plin,plie,
     &           pljj,plji,pljo,pljg,pljf,pljct,pljn,plje

      integer, dimension(mxepl) :: pliix,pljix

      character(4) :: cplg
      character(2) :: cp1
      character(160) :: cl,beg
      character(80) :: clx,ind,ind1,ind2
      character(240) :: all
      character(10) clmi,clmj,clm,clwi,clwj,clw

      open(16,file='partcls.tmp',access='direct',form='formatted',
     &                                                     recl=80)
      read(16,1612,rec=i) plij,plii,plio,plig,plif,plict,plin,plie
      read(16,1612,rec=j) pljj,plji,pljo,pljg,pljf,pljct,pljn,plje
      close(16)

 1612 format(i8,5(i3),i24,i3)

      read(20,1620,rec=i) pliix(1:plie)
      read(20,1620,rec=j) pljix(1:plje)
 1620 format(26(i3))

      plord(1:plie)=pliix(1:plie)
      plord(plie+1:next)=pljix(1:plje)

      sgn=1

      do ii=1,next-1
       do jj=ii+1,next
        if (plord(ii) > plord(jj)) then 
         if (f(plord(ii))%j < 21 .and. f(plord(jj))%j < 21) then 
          sgn=-sgn
         end if
        end if
       end do
      end do

      write(ind,'(i16)') id

      if (size(pl(i)%ip) > 0) then
       do ii=1,size(pl(i)%ip)
        if (pl(pl(i)%ip(ii))%wr == 0) then
         read(18,'(a)',rec=pl(i)%ip(ii)) cl
         write(14,'(a)') trim(cl)
         ncls=ncls+1
         pl(pl(i)%ip(ii))%wr=1
        end if
       end do
      end if

      if (pl(i)%wr == 0) then
       read(18,'(a)',rec=i) cl
       write(14,'(a)') trim(cl)
       pl(i)%wr=1
       ncls=ncls+1
      end if

      if (size(pl(j)%ip) > 0) then
       do ii=1,size(pl(j)%ip)
        if (pl(pl(j)%ip(ii))%wr == 0) then
         read(18,'(a)',rec=pl(j)%ip(ii)) cl
         write(14,'(a)') trim(cl)
         ncls=ncls+1
         pl(pl(j)%ip(ii))%wr=1
        end if
       end do
      end if

      if (pl(j)%wr == 0) then
       read(18,'(a)',rec=j) cl
       write(14,'(a)') trim(cl)
       pl(j)%wr=1
       ncls=ncls+1
      end if

      if (i > nexpl) then
       cp1='-p'
      else
       if (plio < 0) then
        cp1='p'
       else
        cp1='-p'
       end if
      end if

ckk>
      read(31,'(a10,a10)',rec=i) clmi,clwi
      read(31,'(a10,a10)',rec=j) clmj,clwj
      if (index(clwi,'zero') == 0) then
       clm=clmi
       clw=clwi
      else if (index(clwj,'zero') == 0) then
       clm=clmj
       clw=clwj
      end if
      beg='      call bbmd(i'//trim(adjustl(clm))//
     &    ',w'//trim(adjustl(clm))//',d'//trim(adjustl(clm))//
     &    ','//trim(adjustl(clm))//','
ckk<


      write(ind1,'(i16)') i

c      beg='      call bbmd('//trim(cplg)//','
c     &                           //trim(cp1)//trim(adjustl(ind1))//','
      beg=trim(beg)//trim(cplg)//','
     &                           //trim(cp1)//trim(adjustl(ind1))//','

      write(ind2,'(i16)') j

      if (imcs == 1) then
       clx='u'//trim(adjustl(ind1))//
     & ',u'//trim(adjustl(ind2))//',m'//trim(adjustl(ind))//')'
      else
       clx='u'//trim(adjustl(ind1))//'(:,h'//trim(adjustl(ind1))//
     & ',u'//trim(adjustl(ind2))//'(:,h'//trim(adjustl(ind2))//
     &      '(h)),m'//trim(adjustl(ind))//')'
      end if
      all=trim(beg)//trim(clx)
      write(12,'(a)') trim(all)

      end subroutine mixwrite
